%define anolis_release 2
%global srcname xcffib

Summary:   A drop in replacement for xpyb, an XCB python binding
Name:      python-xcffib
Version:   1.2.0
Release:   %{anolis_release}%{?dist}
Source0:   %{pypi_source}
License:   Apache-2.0
URL:       https://github.com/tych0/xcffib
BuildArch: noarch

BuildRequires:  libxcb-devel

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi >= 1.1.2
BuildRequires:  python3-six


%description
xcffib is intended to be a (mostly) drop-in replacement for xpyb.  xpyb
has an inactive upstream, several memory leaks, is python2 only and doesn't
have pypy support. xcffib is a binding which uses cffi, which mitigates
some of the issues described above. xcffib also builds bindings for 27 of
the 29 (xprint and xkb are missing) X extensions in 1.10.


%package -n python3-xcffib
Summary: A drop in replacement for xpyb, an XCB python binding
Requires:  python3-cffi
Requires:  libxcb

%description -n python3-xcffib
xcffib is intended to be a (mostly) drop-in replacement for xpyb.  xpyb
has an inactive upstream, several memory leaks, is python2 only and doesn't
have pypy support. xcffib is a binding which uses cffi, which mitigates
some of the issues described above. xcffib also builds bindings for 27 of
the 29 (xprint and xkb are missing) X extensions in 1.10.

%package -n python3-xcffib-doc
Summary: A drop in replacement for xpyb, an XCB python binding
Requires:  python3-xcffib = %{version}-%{release}

%description -n python3-xcffib-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n xcffib-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-xcffib
%license LICENSE
%{python3_sitelib}/xcffib
%{python3_sitelib}/xcffib*.egg-info

%files -n python3-xcffib-doc
%doc README.md

%changelog
* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.0-2
- Rebuild with python3.11

* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.0-1
- init package from upstream
